{
  description = "Visions VTT is a new virtual tabletop application specializing in the Cypher System by Monte Cook Games";

  inputs = {
    nixpkgs_22_05.url = "nixpkgs/nixos-22.05";
    nixpkgs_unstable.url = "nixpkgs/nixos-unstable";
    oxalica.url = "https://github.com/oxalica/rust-overlay/archive/master.tar.gz";
  };

  outputs = { self, nixpkgs_22_05, nixpkgs_unstable, oxalica }:
    let 
      version = builtins.string 0 8 self.lastModifiedDate;
      supportedSystems = [ "x86_64-linux" ];
    in
    {
      devShell."x86_64-linux" =
        let
          rust_overlay = import oxalica;
          pkgs = import nixpkgs_22_05 { system = "x86_64-linux"; overlays = [ rust_overlay ]; };
          pkgs_unstable = import nixpkgs_unstable { system = "x86_64-linux"; };
          rust = pkgs.rust-bin.stable."1.65.0".default.override {
            extensions = [ "rust-src" ];
          };
        in
        pkgs.mkShell {
          name = "visions-vtt-shell";
          buildInputs = [
            pkgs.nodejs
            pkgs.openssl
            pkgs.pkg-config
            pkgs.sqlite
            pkgs.vite
            pkgs_unstable.typeshare
            pkgs.entr
            rust
          ];
        };
    };
}
